Package net.shibboleth.shared.spring.custom

# Class SchemaTypeAwareBeanDefinitionParserDelegate

java.lang.Object
org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
net.shibboleth.shared.spring.custom.SchemaTypeAwareBeanDefinitionParserDelegate

public class SchemaTypeAwareBeanDefinitionParserDelegate extends BeanDefinitionParserDelegate
An extension to the standard `BeanDefinitionParserDelegate` that adds support for retrieving `NamespaceHandler` by schema type, as well as element QName, when resolving custom elements. In the case where a `NamespaceHandler` is registered for both the schema type and element QName for a custom element the schema registered handler is preferred.

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.BeanDefinitionParserDelegate

`ABSTRACT_ATTRIBUTE, ARG_TYPE_ELEMENT, ARG_TYPE_MATCH_ATTRIBUTE, ARRAY_ELEMENT, AUTOWIRE_ATTRIBUTE, AUTOWIRE_AUTODETECT_VALUE, AUTOWIRE_BY_NAME_VALUE, AUTOWIRE_BY_TYPE_VALUE, AUTOWIRE_CANDIDATE_ATTRIBUTE, AUTOWIRE_CONSTRUCTOR_VALUE, AUTOWIRE_NO_VALUE, BEAN_ELEMENT, BEAN_REF_ATTRIBUTE, BEANS_NAMESPACE_URI, CLASS_ATTRIBUTE, CONSTRUCTOR_ARG_ELEMENT, DEFAULT_AUTOWIRE_ATTRIBUTE, DEFAULT_AUTOWIRE_CANDIDATES_ATTRIBUTE, DEFAULT_DESTROY_METHOD_ATTRIBUTE, DEFAULT_INIT_METHOD_ATTRIBUTE, DEFAULT_LAZY_INIT_ATTRIBUTE, DEFAULT_MERGE_ATTRIBUTE, DEFAULT_VALUE, DEPENDS_ON_ATTRIBUTE, DESCRIPTION_ELEMENT, DESTROY_METHOD_ATTRIBUTE, ENTRY_ELEMENT, FACTORY_BEAN_ATTRIBUTE, FACTORY_METHOD_ATTRIBUTE, FALSE_VALUE, ID_ATTRIBUTE, IDREF_ELEMENT, INDEX_ATTRIBUTE, INIT_METHOD_ATTRIBUTE, KEY_ATTRIBUTE, KEY_ELEMENT, KEY_REF_ATTRIBUTE, KEY_TYPE_ATTRIBUTE, LAZY_INIT_ATTRIBUTE, LIST_ELEMENT, logger, LOOKUP_METHOD_ELEMENT, MAP_ELEMENT, MERGE_ATTRIBUTE, META_ELEMENT, MULTI_VALUE_ATTRIBUTE_DELIMITERS, NAME_ATTRIBUTE, NULL_ELEMENT, PARENT_ATTRIBUTE, PARENT_REF_ATTRIBUTE, PRIMARY_ATTRIBUTE, PROP_ELEMENT, PROPERTY_ELEMENT, PROPS_ELEMENT, QUALIFIER_ATTRIBUTE_ELEMENT, QUALIFIER_ELEMENT, REF_ATTRIBUTE, REF_ELEMENT, REPLACED_METHOD_ELEMENT, REPLACER_ATTRIBUTE, SCOPE_ATTRIBUTE, SET_ELEMENT, TRUE_VALUE, TYPE_ATTRIBUTE, VALUE_ATTRIBUTE, VALUE_ELEMENT, VALUE_REF_ATTRIBUTE, VALUE_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SchemaTypeAwareBeanDefinitionParserDelegate(XmlReaderContext readerContext)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`BeanDefinition`
`parseCustomElement(Element element)`
`BeanDefinition`
`parseCustomElement(Element element, BeanDefinition containingBd)`

### Methods inherited from class org.springframework.beans.factory.xml.BeanDefinitionParserDelegate

`buildTypedStringValue, buildTypedStringValueForMap, checkNameUniqueness, createBeanDefinition, decorateBeanDefinitionIfRequired, decorateBeanDefinitionIfRequired, decorateIfRequired, error, error, error, extractSource, getAutowireCandidatePatterns, getAutowireMode, getBeanDefinitionDefaults, getDefaults, getLocalName, getNamespaceURI, getReaderContext, initDefaults, initDefaults, isDefaultNamespace, isDefaultNamespace, nodeNameEquals, parseArrayElement, parseBeanDefinitionAttributes, parseBeanDefinitionElement, parseBeanDefinitionElement, parseBeanDefinitionElement, parseCollectionElements, parseConstructorArgElement, parseConstructorArgElements, parseIdRefElement, parseKeyElement, parseListElement, parseLookupOverrideSubElements, parseMapElement, parseMergeAttribute, parseMetaElements, parsePropertyElement, parsePropertyElements, parsePropertySubElement, parsePropertySubElement, parsePropertyValue, parsePropsElement, parseQualifierElement, parseQualifierElements, parseReplacedMethodSubElements, parseSetElement, parseValueElement, populateDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaTypeAwareBeanDefinitionParserDelegate

public SchemaTypeAwareBeanDefinitionParserDelegate(XmlReaderContext readerContext)
Constructor.

Parameters:
  `readerContext` - current XML reader context

## Method Details

### parseCustomElement

public BeanDefinition parseCustomElement(@Nonnull Element element)

Overrides:
  `parseCustomElement` in class `BeanDefinitionParserDelegate`

### parseCustomElement

public BeanDefinition parseCustomElement(@Nonnull Element element, @Nullable BeanDefinition containingBd)

Overrides:
  `parseCustomElement` in class `BeanDefinitionParserDelegate`